Subject: Re: Setup problem: couldn't install gcc-mingw-core/g++/java
From: "J.-S.Co ELEKTROPRIVOD (sic-12)" <[email-masked]>
To: <[email-masked]>
Date: Thu, 26 Feb 2004 15:26:38 +0300

Hello Igor,
thank you for the complete answer. I don't know whether it would be usefull
to send the
exact content of the error messages of postinstall scripts since I'm running
localized (russian) version of Win98. So I've tried to avoid that before
whenever possible.

I've run cygcheck -svr and did not find any problems (no multiple copies of
cygwin1.dll, sh.exe and so on). I'm not attaching this to my message `cause
the problem is solved already: after _rebooting_ I installed gcc-mingw
packages without any further problems (but I am sure that there was no
request to reboot from SETUP.EXE).

Regards, Alexey

----- Original Message -----
From: "Igor Pechtchanski" <[email-masked]>
To: "Alexei Lioubimov" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, February 25, 2004 5:12 PM
Subject: Re: Setup problem: couldn't install gcc-mingw-core/g++/java

> On Wed, 25 Feb 2004, Alexei Lioubimov wrote:
>
> > Hello,
> > The problem is, that suddenly I've found out that I couldn't use
> > "-mno-cygwin" option. I'm getting errors saying that there is no `cc1'
and
> > so on. 'cygcheck -c' says that everything is Ok with gcc-mingw-*
packages,
> > but when I looked inside .../gcc-lib/i86-pc-cygwin/ I did not find
anything
> > but empty include directories there :-(
> > When I try to reinstall gcc-mingw-* packages with SETUP.EXE I got
multiple
> > error messages from SH.EXE about CYGWIN1.DLL and _fcntl64 - and nothing
was
> > reinstalled. All other packages I can freely install/uninstall with
> > setup.exe.
> >
> > So, what should I check? sh? ash? gcc-mingw-*.tar.bz2?
> > `cygcheck -c' considers everything to be Ok! ?
> >
> > Thank you.
> > Alexey Lyubimov
>
> Alexey,
>
> First off, the "Need your help" in the subject was redundant, so I took it
> out.  This (and other, more important things) are discussed in the Cygwin
> problem reporting guidelines at <http://cygwin.com/problems.html> -- in
> particular, an attachment with the output of "cygcheck -svr" is *not*
> optional.
>
> Secondly, the checking that "cygcheck -c" does is mostly just sanity
> checking -- whether all of the files in the binary package are present on
> your filesystem.  It doesn't check whether the files are intact, and won't
> consider files created during the postinstall process (which is the
> packaging method that the gcc-mingw* packages use).
>
> The key part of your message is
>
> > When I try to reinstall gcc-mingw-* packages with SETUP.EXE I got
multiple
> > error messages from SH.EXE about CYGWIN1.DLL and _fcntl64 - and nothing
was
> > reinstalled.
>
> We need to know, in addition to seeing your "cygcheck -svr" output
> mentioned above, the exact messages you get from the postinstall scripts.
> If I had to take a guess without this information, you either have more
> than one version of cygwin1.dll on your system, or setup has asked you to
> reboot and you haven't done so.  In any case, please read the problem
> reporting guidelines at <http://cygwin.com/problems.html> and resubmit
> your report.
>
> HTH,
> Igor
> --
> http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_ [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_ [email-masked]
>      |,4-  ) )-,_. ,\ (  `'-' Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
>
> "I have since come to realize that being between your mentor and his route
> to the bathroom is a major career booster."  -- Patrick Naughton
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/